{pkgs, ...}: {
  imports = [
    ./containers
    ./hermes-agent.nix
    ./mem0.nix
    # ./n8n.nix
    ./netbird.nix
    ./postgres.nix
    ./sound.nix
    ./udev.nix
    ./wireguard.nix
  ];
  services = {
    hypridle.enable = true;
    espanso = {
      enable = true;
      package = pkgs.espanso-wayland;
    };
    printing.enable = true;
    gvfs.enable = true;
    trezord.enable = true;
    gnome.gnome-keyring.enable = true;
    qdrant.enable = true;
    avahi = {
      enable = true;
      nssmdns4 = true;
      publish = {
        addresses = true;
        workstation = true;
        userServices = true;
      };
    };
    displayManager.gdm.enable = true;
  };
}
